Bug 15090 - Use the contour keyword in shape-outside property?
Use the contour keyword in shape-outside property?
Status: RESOLVED WONTFIX
Product: CSS
Classification: Unclassified
Component: Exclusions
unspecified
PC All
: P2 normal
: ---
Assigned To: Vincent Hardy
http://lists.w3.org/Archives/Public/w...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 22:10 UTC by Vincent Hardy
Modified: 2012-12-04 11:30 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Hardy 2011-12-06 22:10:15 UTC

    
Comment 1 Vincent Hardy 2011-12-06 22:10:26 UTC
From Rossen:

Mixing shape and contour might get a bit too much. We
Comment 2 Simon Fraser 2012-02-08 10:45:27 UTC
Suggestion: 
<img id=shape-me url=foo>
<style
  #shape-me {
    shape-outside: contour; //equal to 'shape-outside: url(foo)' shape-outside: attr(src as url);
}</style>
Comment 3 Daniel Glazman 2012-12-04 11:30:53 UTC
Following discussion with Alan Stearns, we don't think a 'contour'
keyword will be easily understandable here. As smfr pointed out above,
we have several ways of solving the issue

  1. using a second reference to the url through url()
  2. getting the url from the @src attribute through attr(src url)
  3. getting the image itself using an image() notation

Hence closing as WONTFIX.